summaryrefslogtreecommitdiff
path: root/tests/misc/stat-fmt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stat-fmt.sh')
-rwxr-xr-xtests/misc/stat-fmt.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/misc/stat-fmt.sh b/tests/misc/stat-fmt.sh
new file mode 100755
index 00000000..547f5b8f
--- /dev/null
+++ b/tests/misc/stat-fmt.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# ensure that stat properly handles a format string ending with %
+
+# Copyright (C) 2003-2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ stat
+
+
+
+for i in $(seq 50); do
+ fmt=$(printf "%${i}s" %)
+ out=$(stat --form="$fmt" .)
+ test "$out" = "$fmt" || fail=1
+done
+
+Exit $fail